ValidationMetadata.ValidationMetadataSerializer (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.io.sstable.metadata

## Class ValidationMetadata.ValidationMetadataSerializer

- java.lang.Object
- - org.apache.cassandra.io.sstable.metadata.ValidationMetadata.ValidationMetadataSerializer

- All Implemented Interfaces:
    IMetadataComponentSerializer<ValidationMetadata>
  Enclosing class:
    ValidationMetadata

      public static class ValidationMetadata.ValidationMetadataSerializer
      extends java.lang.Object
      implements IMetadataComponentSerializer<ValidationMetadata>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidationMetadataSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ValidationMetadata` | `deserialize(Version version, java.io.DataInput in)` Deserialize metadata component from given input.
    `void` | `serialize(ValidationMetadata component, Version version, DataOutputPlus out)` Serialize metadata component to given output.
    `int` | `serializedSize(ValidationMetadata component, Version version)` Calculate and return serialized size.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidationMetadataSerializer

          public ValidationMetadataSerializer()

  - ### Method Detail

    - #### serializedSize

          public int serializedSize(ValidationMetadata component,
                                    Version version)
                             throws java.io.IOException

      Description copied from interface: `IMetadataComponentSerializer`
      Calculate and return serialized size.
      Specified by:
        `serializedSize` in interface `IMetadataComponentSerializer<ValidationMetadata>`
      Parameters:
        `component` - MetadataComponent to calculate serialized size
      Returns:
        serialized size of this component
      Throws:
        `java.io.IOException`

    - #### serialize

          public void serialize(ValidationMetadata component,
                                Version version,
                                DataOutputPlus out)
                         throws java.io.IOException

      Description copied from interface: `IMetadataComponentSerializer`
      Serialize metadata component to given output.
      Specified by:
        `serialize` in interface `IMetadataComponentSerializer<ValidationMetadata>`
      Parameters:
        `component` - MetadataComponent to serialize
        `out` - serialize destination
      Throws:
        `java.io.IOException`

    - #### deserialize

          public ValidationMetadata deserialize(Version version,
                                                java.io.DataInput in)
                                         throws java.io.IOException

      Description copied from interface: `IMetadataComponentSerializer`
      Deserialize metadata component from given input.
      Specified by:
        `deserialize` in interface `IMetadataComponentSerializer<ValidationMetadata>`
      Parameters:
        `version` - serialize version
        `in` - deserialize source
      Returns:
        Deserialized component
      Throws:
        `java.io.IOException`

Copyright © 2018 The Apache Software Foundation